/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.projectcontentinfo.entity.ProjectContentData;

/**
 * 合约规划Entity
 * @author ssrh
 * @version 2018-06-06
 */
public class WorkContentContprogram extends DataEntity<WorkContentContprogram> {
	
	private static final long serialVersionUID = 1L;
	private String projectId;		// 项目id
	private String contentId;		// 工作内容ID
	private String contCate;		// 合同分类
	private String contAttr;		// 合同属性
	private String priceType;		// 合同价格类型
	private String bidType;		// 招标方式
	private ProjectContentData otherProgram;		// 与其他合同关系
	private String scope;		// 合同范围
	private String inteface;		// 界面的处理
	
	public WorkContentContprogram() {
		super();
	}

	public WorkContentContprogram(String id){
		super(id);
	}

	@ExcelField(title="项目id", align=2, sort=7)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
	@ExcelField(title="工作内容ID", align=2, sort=8)
	public String getContentId() {
		return contentId;
	}

	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	
	@ExcelField(title="合同分类", dictType="", align=2, sort=9)
	public String getContCate() {
		return contCate;
	}

	public void setContCate(String contCate) {
		this.contCate = contCate;
	}
	
	@ExcelField(title="合同属性", dictType="", align=2, sort=10)
	public String getContAttr() {
		return contAttr;
	}

	public void setContAttr(String contAttr) {
		this.contAttr = contAttr;
	}
	
	@ExcelField(title="合同价格类型", dictType="", align=2, sort=11)
	public String getPriceType() {
		return priceType;
	}

	public void setPriceType(String priceType) {
		this.priceType = priceType;
	}
	
	@ExcelField(title="招标方式", dictType="", align=2, sort=12)
	public String getBidType() {
		return bidType;
	}

	public void setBidType(String bidType) {
		this.bidType = bidType;
	}

    public ProjectContentData getOtherProgram() {
        return otherProgram;
    }

    public void setOtherProgram(ProjectContentData otherProgram) {
        this.otherProgram = otherProgram;
    }

    @ExcelField(title="合同范围", align=2, sort=14)
	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}
	
	@ExcelField(title="界面的处理", align=2, sort=15)
	public String getInteface() {
		return inteface;
	}

	public void setInteface(String inteface) {
		this.inteface = inteface;
	}
	
}